part of 'frame_view.dart';

class _VidFrameViewBroswer extends StatelessWidget
    implements VidFrameViewInterface {
  const _VidFrameViewBroswer(
    this.data, {
    Key? key,
    this.width,
    this.height,
    this.processors,
  }) : super(key: key);

  @override
  final Uint8List data;

  @override
  final double? height;

  @override
  final double? width;

  @override
  final List<VidFrameProcessor>? processors;

  @override
  Widget build(BuildContext context) {
    return Image.memory(
      data,
      width: width,
      height: height,
      isAntiAlias: true,
      fit: BoxFit.contain,
      gaplessPlayback: true,
    );
  }
}
